Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.rgg.model
Class LocalSolver

    java.lang.Object
      de.grogra.task.Solver
          de.grogra.task.SolverInOwnThread
              de.grogra.rgg.model.LocalSolver

All Implemented Interfaces:
  QueueSolver, java.lang.Runnable

    public class LocalSolver

extends SolverInOwnThread
implements QueueSolver

Constructor Summary
`LocalSolver(Workbench wb)`

Method Summary
`void` | `addQueuesTo(QueueCollection qc)`
`void` | `clearQueues()`
`protected java.lang.Thread` | `createThread()` Create the thread to use.
`void` | `run()`
`protected void` | `solveImpl(PartialTask task)` This method has to be implemented to perform the actual work.

Methods inherited from class de.grogra.task.SolverInOwnThread
`dispose, solve`

Methods inherited from class de.grogra.task.Solver
`getCurrentPartialTask, getTask, initialize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LocalSolver

    public LocalSolver(Workbench wb)

Method Detail

### addQueuesTo

    public void addQueuesTo(QueueCollection qc)

  Specified by:
    `addQueuesTo` in interface `QueueSolver`

### clearQueues

    public void clearQueues()

  Specified by:
    `clearQueues` in interface `QueueSolver`

### createThread

    protected java.lang.Thread createThread()

  Description copied from class: `SolverInOwnThread`
  Create the thread to use. If this returns `null`, the `solve` methods operates synchronously, i.e., it immediately solves the partial task.

  Specified by:
    `createThread` in class `SolverInOwnThread`
  Returns:
    thread to use for operation, or `null` in synchronous case

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`
  Overrides:
    `run` in class `SolverInOwnThread`

### solveImpl

    protected void solveImpl(PartialTask task)

  Description copied from class: `SolverInOwnThread`
  This method has to be implemented to perform the actual work.

  Specified by:
    `solveImpl` in class `SolverInOwnThread`
  Parameters:
    `task` - task to solve

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD